{% extends 'organization/layout_organization.html' %}
{% load bootstrap %}
{% load i18n %}
{% load sekizai_tags %}

{% block page_content_title %}

    {% include "parts/_page_header.html" %}

    <div class="toolbar wide">
        <div class="">
            <a href="{% url "my_product" organization.slug product.pk%}" class="btn btn-default">
                <span class="{{ ICONS.back }}"></span>
                {% trans "Back" %}
            </a>
            <div class="btn-group">
                <a href="#actions" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                    <span class="{{ ICONS.action }}"></span>
                    {% trans "Actions" %}
                    <span class="caret"></span>
                </a>
                <ul class="dropdown-menu">
                    <li>
                        <a href="{% url 'delete_product_identifier' organization.slug product.pk identifier.pk %}">
                            <span class="{{ ICONS.delete }}"></span>
                            {% trans "Delete identifier" %}
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
{% endblock %}

{% block page %}
    <div class="page-section" id="organization-units-section">
        <div class="page-section-header">
            <h2>
                {% trans "Edit Product Identifier" %}
            </h2>
        </div>

        <div class="page-section-content">
            <form method="post" class="form form-horizontal">
                {% csrf_token %}

                {% for field in form %}
                <div class="field-wrapper" {% if field.name == "identifier_type_name" %} data-bind="visible: is_visible" {% endif %}>
                        {{ field|bootstrap_horizontal }}
                    </div>
                {% endfor %}

                <div class="form-group">
                    <div class="col-sm-offset-2 col-sm-10">
                        <button type="submit" class="btn btn-primary">{% trans "Save" %}</button>
                        <a class="btn btn-default" href="{% url "my_product" organization.slug product.pk%}">
                            {% trans "Cancel" %}
                        </a>
                    </div>
                </div>

            </form>
        </div>
    </div>

    {% addtoblock "javascript" %}
        <script src="{{ STATIC_URL }}lib/knockout.js"></script>
        <script src="{{ STATIC_URL }}lib/knockout.mapping-latest.js"></script>
        <script src="{{ STATIC_URL }}organization/js/product_identifier_create.js"></script>
    {% endaddtoblock %}

{% endblock %}
